Qwt User's Guide: QwtScaleTransformation Class Reference

Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
QwtScaleTransformation Class Reference

`#include <qwt_scale_map.h>`

List of all members.

## Public Types
enum | Type { Linear, Log10, Other }

## Public Member Functions
| QwtScaleTransformation (Type type)
virtual | ~QwtScaleTransformation ()
virtual QwtScaleTransformation * | copy () const
virtual double | invXForm (double x, double p1, double p2, double s1, double s2) const
Type | type () const
virtual double | xForm (double x, double s1, double s2, double p1, double p2) const

## Detailed Description

Operations for linear or logarithmic (base 10) transformations.

## Member Function Documentation

double QwtScaleTransformation::invXForm | ( | double | p,
|  | double | p1,
|  | double | p2,
|  | double | s1,
|  | double | s2
| ) |  | const
| virtual

Transform a value from the coordinate system of the paint device into the coordinate system of a scale.

Parameters:

  p | Value related to the coordinate system of the paint device
  p1 | First border of the coordinate system of the paint device
  p2 | Second border of the coordinate system of the paint device
  s1 | First border of the coordinate system of the scale
  s2 | Second border of the coordinate system of the scale

Returns:
  linear mapping:
    s1 + ( s2 - s1 ) / ( p2 - p1 ) * ( p - p1 );
  log10 mapping:
    exp((p - p1) / (p2 - p1) * log(s2 / s1)) * s1;

QwtScaleTransformation::Type QwtScaleTransformation::type | ( |  | ) | const
| inline

Returns:
  Transformation type

double QwtScaleTransformation::xForm | ( | double | s,
|  | double | s1,
|  | double | s2,
|  | double | p1,
|  | double | p2
| ) |  | const
| virtual

Transform a value from the coordinate system of a scale into the coordinate system of the paint device.

Parameters:

  s | Value related to the coordinate system of the scale
  s1 | First border of the coordinate system of the scale
  s2 | Second border of the coordinate system of the scale
  p1 | First border of the coordinate system of the paint device
  p2 | Second border of the coordinate system of the paint device

Returns:
  linear mapping:
    p1 + (p2 - p1) / (s2 - s1) * (s - s1);
  log10 mapping:
    p1 + (p2 - p1) / log(s2 / s1) * log(s / s1);